Issue1053

classification
Title: Better string interpolation with unicode args
Type: behaviour Severity: normal
Components: Core Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: leosoto
Priority: Keywords:

Created on 2008-06-12.20:21:27 by leosoto, last changed 2012-06-14.09:57:50 by gvid777an.

Files
File name Uploaded Description Edit Remove
string_interpolation_and_unicode.patch leosoto, 2008-06-12.20:21:26
san1.html gvid777an, 2012-06-14.09:49:45
san2.html gvid777an, 2012-06-14.09:50:52
san3.html gvid777an, 2012-06-14.09:50:58
san4.html gvid777an, 2012-06-14.09:51:03
san5.html gvid777an, 2012-06-14.09:51:07
san6.html gvid777an, 2012-06-14.09:51:12
san7.html gvid777an, 2012-06-14.09:51:17
san8.html gvid777an, 2012-06-14.09:51:24
san9.html gvid777an, 2012-06-14.09:51:30
san10.html gvid777an, 2012-06-14.09:51:36
san11.html gvid777an, 2012-06-14.09:51:42
san12.html gvid777an, 2012-06-14.09:51:47
san13.html gvid777an, 2012-06-14.09:51:53
san14.html gvid777an, 2012-06-14.09:51:59
san15.html gvid777an, 2012-06-14.09:52:04
san16.html gvid777an, 2012-06-14.09:52:10
san17.html gvid777an, 2012-06-14.09:52:15
san18.html gvid777an, 2012-06-14.09:52:21
san19.html gvid777an, 2012-06-14.09:52:27
san20.html gvid777an, 2012-06-14.09:52:39
san21.html gvid777an, 2012-06-14.09:52:46
san22.html gvid777an, 2012-06-14.09:52:56
san23.html gvid777an, 2012-06-14.09:53:03
san24.html gvid777an, 2012-06-14.09:53:09
san25.html gvid777an, 2012-06-14.09:53:15
san26.html gvid777an, 2012-06-14.09:53:20
san27.html gvid777an, 2012-06-14.09:53:27
san28.html gvid777an, 2012-06-14.09:53:32
san29.html gvid777an, 2012-06-14.09:53:38
san30.html gvid777an, 2012-06-14.09:53:47
san31.html gvid777an, 2012-06-14.09:53:54
san32.html gvid777an, 2012-06-14.09:54:40
san33.html gvid777an, 2012-06-14.09:54:45
san34.html gvid777an, 2012-06-14.09:55:22
san35.html gvid777an, 2012-06-14.09:55:28
san36.html gvid777an, 2012-06-14.09:55:33
san37.html gvid777an, 2012-06-14.09:55:38
san38.html gvid777an, 2012-06-14.09:55:44
san39.html gvid777an, 2012-06-14.09:55:52
san40.html gvid777an, 2012-06-14.09:55:58
san41.html gvid777an, 2012-06-14.09:56:06
san42.html gvid777an, 2012-06-14.09:56:11
san43.html gvid777an, 2012-06-14.09:56:16
san44.html gvid777an, 2012-06-14.09:56:20
san45.html gvid777an, 2012-06-14.09:56:30
san46.html gvid777an, 2012-06-14.09:56:34
san47.html gvid777an, 2012-06-14.09:56:39
san48.html gvid777an, 2012-06-14.09:56:43
san49.html gvid777an, 2012-06-14.09:56:48
san50.html gvid777an, 2012-06-14.09:56:53
san51.html gvid777an, 2012-06-14.09:56:57
san52.html gvid777an, 2012-06-14.09:57:02
san53.html gvid777an, 2012-06-14.09:57:06
san54.html gvid777an, 2012-06-14.09:57:10
san55.html gvid777an, 2012-06-14.09:57:15
san56.html gvid777an, 2012-06-14.09:57:23
san57.html gvid777an, 2012-06-14.09:57:28
san58.html gvid777an, 2012-06-14.09:57:33
san59.html gvid777an, 2012-06-14.09:57:40
san60.html gvid777an, 2012-06-14.09:57:45
san61.html gvid777an, 2012-06-14.09:57:50
Messages
msg3275 (view) Author: Leonardo Soto (leosoto) Date: 2008-06-12.20:21:25
The attached patch fixes a few incompatibilities of the current jython
str interpolation implementation, when called with unicode arguments on
the right side.

Basically, things like "%s" % u"\xe7" don't crash anymore.
msg3316 (view) Author: Leonardo Soto (leosoto) Date: 2008-07-02.03:31:23
Fixed by Jim on r4824 (asm branch)
History
Date User Action Args
2012-06-14 09:57:50gvid777ansetfiles: + san61.html
2012-06-14 09:57:45gvid777ansetfiles: + san60.html
2012-06-14 09:57:41gvid777ansetfiles: + san59.html
2012-06-14 09:57:33gvid777ansetfiles: + san58.html
2012-06-14 09:57:29gvid777ansetfiles: + san57.html
2012-06-14 09:57:23gvid777ansetfiles: + san56.html
2012-06-14 09:57:16gvid777ansetfiles: + san55.html
2012-06-14 09:57:11gvid777ansetfiles: + san54.html
2012-06-14 09:57:06gvid777ansetfiles: + san53.html
2012-06-14 09:57:02gvid777ansetfiles: + san52.html
2012-06-14 09:56:57gvid777ansetfiles: + san51.html
2012-06-14 09:56:53gvid777ansetfiles: + san50.html
2012-06-14 09:56:49gvid777ansetfiles: + san49.html
2012-06-14 09:56:44gvid777ansetfiles: + san48.html
2012-06-14 09:56:39gvid777ansetfiles: + san47.html
2012-06-14 09:56:35gvid777ansetfiles: + san46.html
2012-06-14 09:56:30gvid777ansetfiles: + san45.html
2012-06-14 09:56:20gvid777ansetfiles: + san44.html
2012-06-14 09:56:16gvid777ansetfiles: + san43.html
2012-06-14 09:56:11gvid777ansetfiles: + san42.html
2012-06-14 09:56:06gvid777ansetfiles: + san41.html
2012-06-14 09:55:59gvid777ansetfiles: + san40.html
2012-06-14 09:55:52gvid777ansetfiles: + san39.html
2012-06-14 09:55:45gvid777ansetfiles: + san38.html
2012-06-14 09:55:38gvid777ansetfiles: + san37.html
2012-06-14 09:55:33gvid777ansetfiles: + san36.html
2012-06-14 09:55:29gvid777ansetfiles: + san35.html
2012-06-14 09:55:23gvid777ansetfiles: + san34.html
2012-06-14 09:54:46gvid777ansetfiles: + san33.html
2012-06-14 09:54:41gvid777ansetfiles: + san32.html
2012-06-14 09:53:55gvid777ansetfiles: + san31.html
2012-06-14 09:53:47gvid777ansetfiles: + san30.html
2012-06-14 09:53:39gvid777ansetfiles: + san29.html
2012-06-14 09:53:32gvid777ansetfiles: + san28.html
2012-06-14 09:53:28gvid777ansetfiles: + san27.html
2012-06-14 09:53:20gvid777ansetfiles: + san26.html
2012-06-14 09:53:15gvid777ansetfiles: + san25.html
2012-06-14 09:53:10gvid777ansetfiles: + san24.html
2012-06-14 09:53:03gvid777ansetfiles: + san23.html
2012-06-14 09:52:56gvid777ansetfiles: + san22.html
2012-06-14 09:52:46gvid777ansetfiles: + san21.html
2012-06-14 09:52:40gvid777ansetfiles: + san20.html
2012-06-14 09:52:27gvid777ansetfiles: + san19.html
2012-06-14 09:52:22gvid777ansetfiles: + san18.html
2012-06-14 09:52:15gvid777ansetfiles: + san17.html
2012-06-14 09:52:10gvid777ansetfiles: + san16.html
2012-06-14 09:52:04gvid777ansetfiles: + san15.html
2012-06-14 09:51:59gvid777ansetfiles: + san14.html
2012-06-14 09:51:54gvid777ansetfiles: + san13.html
2012-06-14 09:51:47gvid777ansetfiles: + san12.html
2012-06-14 09:51:42gvid777ansetfiles: + san11.html
2012-06-14 09:51:37gvid777ansetfiles: + san10.html
2012-06-14 09:51:31gvid777ansetfiles: + san9.html
2012-06-14 09:51:24gvid777ansetfiles: + san8.html
2012-06-14 09:51:18gvid777ansetfiles: + san7.html
2012-06-14 09:51:13gvid777ansetfiles: + san6.html
2012-06-14 09:51:08gvid777ansetfiles: + san5.html
2012-06-14 09:51:03gvid777ansetfiles: + san4.html
2012-06-14 09:50:59gvid777ansetfiles: + san3.html
2012-06-14 09:50:52gvid777ansetfiles: + san2.html
2012-06-14 09:49:47gvid777ansetfiles: + san1.html
2008-08-10 21:21:11leosotosetstatus: open -> closed
resolution: fixed
2008-07-02 03:31:24leosotosetmessages: + msg3316
2008-06-12 20:21:28leosotocreate